/*
	inst.h

	・いじくるつくーる本体と付属スクリプトを自動インストールする場合の最終処理
	　<s>(Windowsのアンインストールの一覧への登録、デスクトップへのアイコンの作成)</s> ←今は、常駐プログラムの上書きのための処理しかしていないので
	・アンインストール作業と、自身の削除
*/

extern bool install( void );

// アンインストール
extern bool uninstall( void ); // 旧バージョン互換のため、いちおうアンインストールの処理は残しておくが、使われない前提とする

// 1つのRSCファイルを個別にアンインストール
extern bool uninstall1( const char *rscfile );

// 全RSCファイルを順にアンインストール
extern void uninstalln( void );

// インストール時に表示される共通ダイアログを表示する
/*int showInstDlg( HWND hWnd, const char *title, const char *info1, const char *info2, const char *url, bool imgvisible );

#define SIDLG_YES	1
#define SIDLG_NO	0
#define SIDLG_NEVER	2*/
